﻿<?xml version="1.0" encoding="UTF-8" ?>
<ContentPage
    xmlns="http://xamarin.com/schemas/2014/forms"
    xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
    xmlns:xct="http://xamarin.com/schemas/2020/toolkit"
    x:Class="Gerbang.Views.GamePageUser">
    <Shell.TitleView>
        <Label Text="Game" 
               TextColor="#2058DC"
               FontSize="18"
               FontFamily="Montserrat-SemiBold"
               HorizontalTextAlignment="Start"
               VerticalTextAlignment="Center"/>
    </Shell.TitleView>
    <StackLayout Margin="20" HorizontalOptions="FillAndExpand" VerticalOptions="FillAndExpand">
    
    <Grid Padding="0" Margin="0">
            <Grid.RowDefinitions>
                <RowDefinition Height="40" />
                <RowDefinition Height="auto" />
            </Grid.RowDefinitions>
            <Grid.ColumnDefinitions>
                <ColumnDefinition Width="auto" />
                <ColumnDefinition Width="auto" />
            </Grid.ColumnDefinitions>
            <Frame BorderColor="#7e7e7e" CornerRadius="5" Padding="0" Grid.Column="0" Grid.ColumnSpan="10" >
                <SearchBar x:Name="AppSearchBar" Placeholder="Telusuri Aplikasi dan Game"
           CancelButtonColor="#7e7e7e"
           PlaceholderColor="#7e7e7e"
           TextColor="#222222"
           SearchButtonPressed="SearchBar_Pressed"
           FontSize="12"
           FontFamily="Montserrat-Medium"
           HeightRequest="35"
           >
                    <SearchBar.Effects>
                        <xct:RemoveBorderEffect></xct:RemoveBorderEffect>
                    </SearchBar.Effects>
                </SearchBar>
            </Frame>
        </Grid>

        <Grid Padding="0">
            <Grid.RowDefinitions>
                <RowDefinition Height="auto" />
                <RowDefinition Height="auto" />
            </Grid.RowDefinitions>
            <Grid.ColumnDefinitions>
                <ColumnDefinition Width="40" />
                <ColumnDefinition Width="auto" />
            </Grid.ColumnDefinitions>
            <Button x:Name="untukAndaBtn"
                Text="Untuk Anda" 
                TextColor="#2058DC"
                TextTransform="None"
                FontSize="13"
                FontFamily="Montserrat-SemiBold"
                Clicked="UntukButton_Clicked"
                BackgroundColor="Transparent"
                BorderColor="Transparent"
                Grid.ColumnSpan="4"
                Grid.Row="0"
                Grid.Column="0"
                    />
            <Button x:Name="palingPopBtn"
                Text="Populer" 
                TextColor="Silver"
                FontSize="13"
                FontFamily="Montserrat-SemiBold"
                TextTransform="None"
                BackgroundColor="Transparent"
                BorderColor="Transparent"
                Grid.ColumnSpan="4"
                Grid.Row="0"
                Grid.Column="4"
                Clicked="PopulerButton_Clicked"/>
            <Button x:Name="anakAnakBtn"
                Text="Anak-anak" 
                TextColor="Silver"
                FontSize="13"
                FontFamily="Montserrat-SemiBold"
                TextTransform="None"
                Clicked="AnakButton_Clicked"  
                BackgroundColor="Transparent"
                BorderColor="Transparent"
                Grid.ColumnSpan="4"
                Grid.Row="0"
                Grid.Column="8"/>
            <BoxView x:Name="untukAndaBox"
                 Color="#2058DC" HeightRequest="2"
                 Grid.ColumnSpan="4"
                 Grid.Row="1"
                 Grid.Column="0"/>
            <BoxView x:Name="palingPopBox"
                 Color="Silver" HeightRequest="2" 
                 Grid.ColumnSpan="4"
                 Grid.Row="1"
                 Grid.Column="4"/>
            <BoxView x:Name="anakAnakBox"
                 Color="Silver" HeightRequest="2" 
                 Grid.ColumnSpan="4"
                 Grid.Row="1"
                 Grid.Column="8"/>
            <Frame BorderColor="#7e7e7e" CornerRadius="5" Padding="2" Grid.Row="2" Grid.RowSpan="8" Grid.Column="0" Grid.ColumnSpan="6" Margin="0" IsClippedToBounds="True" HasShadow="False">
                <Picker x:Name="categoryPicker"
                    Title="Kategori ▼"
                    WidthRequest="50"
                    HorizontalTextAlignment="Center"
                    FontSize="13"
                    FontFamily="Montserrat-SemiBold"
                    TitleColor="#7e7e7e"
                        ItemsSource="{Binding Categories}"
                        ItemDisplayBinding="{Binding CategoryName}"
                        SelectedItem="{Binding SelectedCategory}">
                    <Picker.Effects>
                        <xct:RemoveBorderEffect></xct:RemoveBorderEffect>
                    </Picker.Effects>
                    
                </Picker>
            </Frame>
            <Frame BorderColor="#7e7e7e" CornerRadius="5" Padding="2" Grid.Row="2" Grid.RowSpan="8" Grid.Column="6" Grid.ColumnSpan="6" Margin="0" IsClippedToBounds="True" HasShadow="False">
                <Picker x:Name="sortPicker"
                    Title="Urutkan ▼"
                    WidthRequest="50"
                    HorizontalTextAlignment="Center"
                    FontSize="13"
                    FontFamily="Montserrat-SemiBold"
                    TitleColor="#7e7e7e"
                    ItemsSource="{Binding SortOptions}"
                    ItemDisplayBinding="{Binding SortOptionName}"
                    SelectedItem="{Binding SelectedSortOption}">

                    <Picker.Effects>
                        <xct:RemoveBorderEffect></xct:RemoveBorderEffect>
                    </Picker.Effects>

                </Picker>
            </Frame>


        </Grid>

            <Label
                x:Name="NotFoundLabel"
                IsVisible="{Binding IsNotFound}"
                VerticalTextAlignment="Center"
                HorizontalTextAlignment="Center"
                FontAttributes="Italic"
                FontSize="14"
                FontFamily="Montserrat-SemiBold"
                Text="Permainan tidak ditemukan"
                Margin="0, 50, 0, 0"/>

            <Label
                x:Name="LoadingLabel"
                IsVisible="{Binding IsLoading}"
                VerticalTextAlignment="Center"
                HorizontalTextAlignment="Center"
                FontAttributes="Italic"
                FontSize="14"
                FontFamily="Montserrat-SemiBold"
                Text="Loading..."
                Margin="0, 50, 0, 0"/>

            <CollectionView x:Name="appPagecollectionView"
                        HorizontalOptions="FillAndExpand"
                        VerticalOptions="FillAndExpand"
                        IsVisible="{Binding IsLoaded}"
                        ItemsSource="{Binding Products}"
                        SelectionMode="Single"
                        SelectedItem="{Binding SelectedItem,Mode=TwoWay}"
                        SelectionChangedCommand="{Binding ProductSelectionCommand, Mode=TwoWay}"
                        >
            <CollectionView.ItemsLayout>
                <LinearItemsLayout Orientation="Vertical"/>
            </CollectionView.ItemsLayout>
                <CollectionView.ItemTemplate>
                    <DataTemplate>
                        <Grid Padding="10" Visual="Material" RowSpacing="1">
                            <Grid.RowDefinitions>
                                <RowDefinition Height="auto" />
                                <RowDefinition Height="auto" />
                            </Grid.RowDefinitions>
                        <Grid.ColumnDefinitions>
                            <ColumnDefinition Width="auto" />
                            <ColumnDefinition Width="auto" />
                        </Grid.ColumnDefinitions>
                        <VisualStateManager.VisualStateGroups>
                            <VisualStateGroup Name="CommonStates">
                                <VisualState Name="Selected">
                                    <VisualState.Setters>
                                        <Setter Property="BackgroundColor" Value="#eeeeee" />
                                    </VisualState.Setters>
                                </VisualState>
                            </VisualStateGroup>
                        </VisualStateManager.VisualStateGroups>
                        <Label Grid.Column="0"
                               Grid.Row = "1"
                               Text="{Binding Index}"
                               FontSize="14"
                               FontFamily="Montserrat-Medium"
                               Visual="Material" />
                        <Frame CornerRadius="15" Padding="0" IsClippedToBounds="True" Grid.Column ="1" Grid.RowSpan="3" HeightRequest="60" WidthRequest="60" BorderColor="White" HasShadow="False">
                            <Image 
                               Source="{Binding LogoSrc}"
                               Aspect="AspectFill"
                               MinimumHeightRequest="60" 
                               MinimumWidthRequest="60" Visual="Material" />
                        </Frame>
                        <Label Grid.Column="2"
                               Text="{Binding ProductName}"
                               FontSize="14"
                               FontFamily="Montserrat-SemiBold"
                               FontAttributes="Bold" Visual="Material" />
                            <Label Grid.Row="1"
                               Grid.Column="2" 
                               Text="{Binding ProductPublisher}"
                               FontSize="12"
                               FontFamily="Montserrat-Medium" 
                               Visual="Material" />
                        <Label Grid.Row="2"
                               Grid.Column="2" 
                               Text="{Binding RatingSize}"
                               FontSize="12"
                               FontFamily="Montserrat-Medium"
                               VerticalOptions="End" Visual="Material" />
                    </Grid>
                    </DataTemplate>
                    

                </CollectionView.ItemTemplate>
            
        </CollectionView>
    </StackLayout>
</ContentPage>
